For the complete documentation index, see llms.txt. This page is also available as Markdown.

HPP Verification Service

Verify transaction webhook signature

post

Verify the digital signature of a transaction webhook using the terminal public key.

Header parameters
public-keystringRequired

Hex-encoded terminal public key used to verify the webhook signature.

Body

Transaction webhook payload to verify.

codestringOptional

Response code returned for the webhook.

Example: 200
statusstringOptional

Status of the transaction webhook response.

Example: success
exchange-idstringOptional

Unique identifier of the transaction webhook exchange.

Example: rBBKkeAjScUGX8TZAiMhX
signaturestringRequired

Digital signature used to verify the authenticity and integrity of the webhook payload.

Example: 306402307f1d964a3488c43c86e61f12cda8b4391af8f0aca0e84fedbfb90f4a89e2bdc37314b51cbae220dfc20de84a3c9df162023075094fcb3b0a4230128385742de04bbc7cf2271ae08e81d73ee95175e88d00f4a0f1270ba76c350c55442589197278ac
Responses
200

ok

Successful response returned after verifying an HPP webhook signature.

codestringOptional

HTTP response status code returned by the verification request.

Example: 200
statusstringOptional

Status of the verification request.

Example: success
exchange-idstringOptional

Unique identifier of the API request exchange.

Example: ID-clearent-hpp-sig-ver-1-4e542ef9-0506-4681-ae05-a1cc3f9e92c1
post/rest/v2/hpp/verify
POST /rest/v2/hpp/verify HTTP/1.1
public-key: text
Content-Type: application/json
Accept: */*
Content-Length: 958

{
  "code": "200",
  "status": "success",
  "exchange-id": "rBBKkeAjScUGX8TZAiMhX",
  "links": [
    {
      "rel": "transaction",
      "href": "/rest/v2/transactions?id=367441137",
      "id": "367441137"
    }
  ],
  "payload": {
    "transaction": {
      "amount": "10.00",
      "id": "367441137",
      "created": "2026-07-24 17:23:36.841",
      "type": "SALE",
      "result": "APPROVED",
      "billing": {
        "zip": "85284"
      },
      "shipping": {},
      "card": "XXXXXXXXXXXX1111",
      "csc": "999",
      "authorization-code": "TAS279",
      "avs-result-code": "Y",
      "csc-result-code": "M",
      "batch-string-id": "12",
      "display-message": "Transaction approved",
      "result-code": "000",
      "exp-date": "1229",
      "software-type": "MHVT",
      "card-type": "VISA",
      "last-four": "1111",
      "service-fee": "0.30",
      "merchant-id": "000002343671",
      "terminal-id": "76481365",
      "surcharge-applied": true
    },
    "payloadType": "transaction"
  },
  "signature": "306402307f1d964a3488c43c86e61f12cda8b4391af8f0aca0e84fedbfb90f4a89e2bdc37314b51cbae220dfc20de84a3c9df162023075094fcb3b0a4230128385742de04bbc7cf2271ae08e81d73ee95175e88d00f4a0f1270ba76c350c55442589197278ac"
}
{
  "code": "200",
  "status": "success",
  "exchange-id": "ID-clearent-hpp-sig-ver-1-4e542ef9-0506-4681-ae05-a1cc3f9e92c1",
  "payload": {
    "hpp-verification-response": {
      "result-code": "000",
      "is-valid": true
    },
    "payloadType": "hppVerificationResponse"
  }
}

Last updated

Was this helpful?